2020-09-26 07:30 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004060FantasticDizzy[All Projects] Generalpublic2020-03-30 12:11
ReporterRetroplay 
Assigned ToJOTDProject InfoFantastic Dizzy (Codemasters/Purple Haze)
http://www.whdload.de/games/FantasticDizzy.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0004060: AGA version crash to a black screen with white garbled text when trying to save
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 2.0 from 13.01.2019

AGA version crash to a black screen with white garbled text when trying to save game.
I uploaded a video that shows what happens.
https://streamable.com/0go0s
WHDLoad doesn't crash and I can quit game.
No crash dumps are produced.
TagsNo tags attached.
MachineUAE
CPU68030
CPUSpeed33
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.4beta
importedyes
Attached Files

-Relationships
has duplicate 0004095closedJOTD Fantastic Dizzy AGA. If I press ESC in game and select Load or Save game it 
+Relationships

-Notes

note ~0006684

JOTD (developer)

it's not a crash it's a display problem. Got it working on WinUAE by setting FMODE register to 0. Apparently it doesn't work for you...

note ~0006687

Retroplay (reporter)

No it doesn't, unfortunately I can't test on either of my real A1200s as I usually do.
Both are in need of service and needs to be repaired.

note ~0006731

JOTD (developer)

What is your UAE version? On WinUAE it works fine.

note ~0006732

Retroplay (reporter)

Latest WinUAE 4.2.0 public beta 2, 2019-02-16 64-bit.

note ~0006755

Hexaae (reporter)

I've just discovered AGA version does not crash: if you press 7,8... you can actually (but can't read because of garbled gfx) save and load position.
Tried to press 7 + savegame-name + return + return and it actually saved the position. Then to Load I selected 7 + return.
So… it looks like a trashed gfx issue only after all...

note ~0006764

Hexaae (reporter)

Yeah, ESC menu > Load game is just trashed, but actually still working.
In this video I press 7-8 to select two different savegames, and finally press RETURN to load, and it works:

https://www.youtube.com/watch?v=SEDA4Xj9o4A

The reason for trashed in-game Load/Save menu is unknown ATM.

note ~0007949

JOTD (developer)

I can't recreate the issue with winuae. problem is probably a FMODE (AGA) issue with save screen.

it's not crashed, the display is just trashed.

note ~0007950

Hexaae (reporter)

Ross fixed it, but never found the time to release it officially, yet ;)
https://anonfile.com/t98eP6i8ob/diz_lha here is his fixed slave.

note ~0007951

Hexaae (reporter)

Mmmh, just re-tested Ross beta slave and found it crashes when you collect/drop some objects from inventory like mousetrap etc. (never dropping keys).

Crashdump: https://anonfile.com/h7f8Q1i0o6/diz_whd_crash_lha
Savegames (put it in "data" subdir): https://anonfile.com/t9g8Q4ieo2/saves (try for example with 2nd savegame and take/drop mousetrap)

note ~0007955

Hexaae (reporter)

Doesn't seem to crash with newly created savegames though...
+Notes

-Issue History
Date Modified Username Field Change
2019-01-28 23:16 administrator New Issue
2019-01-28 23:26 JOTD Assigned To => JOTD
2019-01-28 23:26 JOTD Status new => acknowledged
2019-01-28 23:28 JOTD Note Added: 0006684
2019-01-31 11:13 Retroplay Note Added: 0006687
2019-03-02 16:23 JOTD Note Added: 0006731
2019-03-02 16:52 Retroplay Note Added: 0006732
2019-03-18 14:50 Wepl Relationship added has duplicate 0004095
2019-03-18 15:53 Hexaae Note Added: 0006755
2019-04-06 20:21 Hexaae Note Added: 0006764
2020-03-22 15:27 JOTD Note Added: 0007949
2020-03-22 17:06 Hexaae Note Added: 0007950
2020-03-22 18:29 Hexaae Note Added: 0007951
2020-03-22 19:01 Hexaae Note Added: 0007955
2020-03-30 12:11 JOTD Status acknowledged => closed
2020-03-30 12:11 JOTD Resolution open => fixed
+Issue History